Diff (Lucene 3.6.2 API)
Keywords: org.egothor.stemmer.Diff class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.egothor.stemmer
Class Diff

    java.lang.Object
      org.egothor.stemmer.Diff

    public class Diff

extends Object

The Diff object generates a patch string.

A patch string is actually a command to a stemmer telling it how to reduce a word to its root. For example, to reduce the word teacher to its root teach the patch string Db would be generated. This command tells the stemmer to delete the last 2 characters from the word teacher to reach the stem (the patch commands are applied starting from the last character in order to save

Constructor Summary
`Diff()` Constructor for the Diff object.
`Diff(int ins, int del, int rep, int noop)` Constructor for the Diff object

Method Summary
`static void` | `apply(StringBuilder dest, CharSequence diff)` Apply the given patch string `diff` to the given string `dest`.
`String` | `exec(String a, String b)` Construct a patch string that transforms a to b.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Diff

    public Diff()

  Constructor for the Diff object.

### Diff

    public Diff(int ins,
                int del,
                int rep,
                int noop)

  Constructor for the Diff object

  Parameters:
    `ins` - Description of the Parameter
    `del` - Description of the Parameter
    `rep` - Description of the Parameter
    `noop` - Description of the Parameter

Method Detail

### apply

    public static void apply(StringBuilder dest,
                             CharSequence diff)

  Apply the given patch string `diff` to the given string `dest`.

  Parameters:
    `dest` - Destination string
    `diff` - Patch string

### exec

    public String exec(String a,
                       String b)

  Construct a patch string that transforms a to b.

  Parameters:
    `a` - String 1st string
    `b` - String 2nd string
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD